#ifndef __MAINWINDOW_HPP
#define __MAINWINDOW_HPP

#include <SophiaFramework.hpp>

// Title screen

SFMTYPEDEFCLASS(MainWindow)
class MainWindow : public SFRTitleWindow {
    SFMSEALCOPY(MainWindow)
private:
    // For POP3 reception
    SFXPOP3Receiver _receiver;
    // Dialog to display status info
    SFRMessageDialogPtr _dialog;
public:
    MainWindow(Void) static_throws;
    virtual ~MainWindow(Void);
private:
    HANDLER_DECLARE_BOOLEVENT(OnKey)        // Key handler
    HANDLER_DECLARE_VOIDDIALOG(OnDialog)    // Dialog handler

    // Button handlers
    HANDLER_DECLARE_VOIDCONTROL(OnButtonControl1)
    HANDLER_DECLARE_VOIDCONTROL(OnButtonControl2)
    HANDLER_DECLARE_VOIDCONTROL(OnButtonControl3)
    HANDLER_DECLARE_VOIDCONTROL(OnButtonControl4)

    // Callback that notifies mail receiving completion
    CALLBACK_DECLARE_SFXPOP3RECEIVER(POP3Callback)
};

#endif //__MAINWINDOW_HPP
