#ifndef __OPTIONWINDOW_HPP
#define __OPTIONWINDOW_HPP

#include <SophiaFramework.hpp>

SFMTYPEDEFCLASS(OptionWindow)

class OptionWindow : public SFRTitleWindow {

    SFMSEALCOPY(OptionWindow)

private:

    // Text controls
    SFREditboxControlPtr _textControlSMTPServer;
    SFREditboxControlPtr _textControlSMTPPort;
    SFREditboxControlPtr _textControlPOP3Server;
    SFREditboxControlPtr _textControlPOP3Port;
    SFREditboxControlPtr _textControlUser;
    SFREditboxControlPtr _textControlPassword;

    // Checkbox control
    SFRCheckboxControlPtr _checkboxEraseMail;

public:

    OptionWindow(Void);
    virtual ~OptionWindow(Void);

private:

    // Key handler
    HANDLER_DECLARE_BOOLEVENT(OnKey)
    // Ok Button handler
    HANDLER_DECLARE_VOIDCONTROL(OnButtonControlOk)
    // Cancel Button handler
    HANDLER_DECLARE_VOIDCONTROL(OnButtonControlCancel)
    HANDLER_DECLARE_VOIDCONTROL(OnEditboxHandler)
};


#endif //__OPTIONWINDOW_HPP
