#ifndef __SENDINGWINDOW_HPP
#define __SENDINGWINDOW_HPP

#include <SophiaFramework.hpp>

SFMTYPEDEFCLASS(SendingWindow)

class SendingWindow : public SFRTitleWindow {

    SFMSEALCOPY(SendingWindow)

private:

    // Text controls
    SFREditboxControlPtr _textControlFrom;
    SFREditboxControlPtr _textControlTo;
    SFREditboxControlPtr _textControlSubject;
    SFREditboxControlPtr _textControlBody;

    // Dialog to display status info
    SFRMessageDialogPtr _dialog;

    // Mail sending class
    SFXSMTPSender _sender;

public:

    SendingWindow(Void);
    virtual ~SendingWindow(Void);

private:

    // Key handler
    HANDLER_DECLARE_BOOLEVENT(OnKey)
    // Ok button handler
    HANDLER_DECLARE_VOIDCONTROL(OnButtonControlOk)
    // Cancel button handler
    HANDLER_DECLARE_VOIDCONTROL(OnButtonControlCancel)
    // Dialog handler
    HANDLER_DECLARE_VOIDDIALOG(OnDialog)

    // Callback that notifies mail sending completion
    CALLBACK_DECLARE_SFXSMTPSENDER(SMTPCallback)
    HANDLER_DECLARE_VOIDCONTROL(OnEditboxHandler)
};

#endif //__SENDINGWINDOW_HPP
